<script lang="ts">
import Vue from 'vue';
import { Header, FeaturedVideo, GetInTouch } from '../components/landing/index';
import { getPageMetadata } from '../common/meta';

export default Vue.extend({
  components: {
    Header,
    GetInTouch,
    FeaturedVideo,
  },
  nuxtI18n: false,
  async asyncData({ $content, params }: any) {
    const doc = await $content('livestream', params.slug).fetch();
    return { doc };
  },
  head() {
    return getPageMetadata(this.doc, this.$route.path);
  },
});
</script>

<template>
  <div class="wrapper">
    <SlpContainer>
      <Header :data="doc.header" />
      <featured-video id="thank-you" :data="doc.livestream" />
    </SlpContainer>
    <GetInTouch
      id="stay-in-touch"
      :data="doc.get_in_touch_email_acquisition_block"
    />
  </div>
</template>
